Last Comment Bug 806144 - JavaScript error in pageInfo.js with broken image
: JavaScript error in pageInfo.js with broken image
Status: RESOLVED FIXED
: testcase
Product: SeaMonkey
Classification: Client Software
Component: Page Info (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: 792735
  Show dependency treegraph
 
Reported: 2012-10-27 16:18 PDT by neil@parkwaycc.co.uk
Modified: 2012-10-31 20:03 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Proposed patch (2.32 KB, patch)
2012-10-27 16:31 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2012-10-27 16:18:23 PDT
Steps to reproduce problem:
1. Load attachment 671645 [details]
2. Open Page Info
3. Switch to the Media tab

Actual result:

Error: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [imgIRequest.image]
Source File: chrome://navigator/content/pageinfo/pageInfo.js
Line: 1247
Comment 1 neil@parkwaycc.co.uk 2012-10-27 16:31:00 PDT
Created attachment 675904 [details] [diff] [review]
Proposed patch

We only access imageRequest.image to access its numFrames. Sadly numFrames was removed over a year ago so the whole block is now useless. On trunk we can investigate porting bug 713889, but for the sake of the branches I have split the work into two halves, which is why this patch is just the minimal changes and does not do any potential code cleanup. To help simplify the second half of the work, I have also swapped the order of the mime type detection. The !isBG check is a random fix that I happened to notice at the same time.
Comment 2 Philip Chee 2012-10-28 06:20:54 PDT
q.v. Bug 792735 Comment 13.
Comment 3 Ian Neal 2012-10-28 10:46:58 PDT
Comment on attachment 675904 [details] [diff] [review]
Proposed patch

>   var numFrames = 0;
I presume this is still needed for the second half of the work?
Comment 4 neil@parkwaycc.co.uk 2012-10-28 10:50:51 PDT
I didn't want to change code that the other patch will end up changing anyway.
Comment 5 neil@parkwaycc.co.uk 2012-10-28 10:55:15 PDT
Pushed comm-central changeset 2204125b352d.
Comment 6 neil@parkwaycc.co.uk 2012-10-28 11:03:09 PDT
Comment on attachment 675904 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 491310
User impact if declined: JavaScript error in some cases
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky):
String changes made by this patch: None

Note You need to log in before you can comment on or make changes to this bug.